diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-bbr.h ns-3.44/src/internet/model/tcp-bbr.h
--- ns-3.43/src/internet/model/tcp-bbr.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-bbr.h	2025-03-09 16:55:49.403371000 -0700
@@ -24,9 +24,9 @@
 {
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief BBR congestion control algorithm
+ * @brief BBR congestion control algorithm
  *
  * This class implement the BBR (Bottleneck Bandwidth and Round-trip propagation time)
  * congestion control type.
@@ -35,34 +35,34 @@
 {
   public:
     /**
-     * \brief The number of phases in the BBR ProbeBW gain cycle.
+     * @brief The number of phases in the BBR ProbeBW gain cycle.
      */
     static const uint8_t GAIN_CYCLE_LENGTH = 8;
 
     /**
-     * \brief BBR uses an eight-phase cycle with the given pacing_gain value
+     * @brief BBR uses an eight-phase cycle with the given pacing_gain value
      * in the BBR ProbeBW gain cycle.
      */
     const static double PACING_GAIN_CYCLE[];
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TcpBbr();
 
     /**
      * Copy constructor.
-     * \param sock The socket to copy from.
+     * @param sock The socket to copy from.
      */
     TcpBbr(const TcpBbr& sock);
 
     /**
-     * \brief BBR has the following 4 modes for deciding how fast to send:
+     * @brief BBR has the following 4 modes for deciding how fast to send:
      */
     enum BbrMode_t
     {
@@ -79,7 +79,7 @@
         MaxBandwidthFilter_t; //!< Definition of max bandwidth filter.
 
     /**
-     * \brief Literal names of BBR mode for use in log messages
+     * @brief Literal names of BBR mode for use in log messages
      */
     static const char* const BbrModeName[BBR_PROBE_RTT + 1];
 
@@ -87,7 +87,7 @@
      * Assign a fixed random variable stream number to the random variables
      * used by this model.
      *
-     * \param stream first stream index to use
+     * @param stream first stream index to use
      */
     virtual void SetStream(uint32_t stream);
 
@@ -102,237 +102,237 @@
     uint32_t GetSsThresh(Ptr<const TcpSocketState> tcb, uint32_t bytesInFlight) override;
     Ptr<TcpCongestionOps> Fork() override;
 
-  protected:
+  public:
     /**
-     * \brief TcpBbrCheckGainValuesTest friend class (for tests).
-     * \relates TcpBbrCheckGainValuesTest
+     * @brief TcpBbrCheckGainValuesTest friend class (for tests).
+     * @relates TcpBbrCheckGainValuesTest
      */
-    friend class TcpBbrCheckGainValuesTest;
+    friend class ::TcpBbrCheckGainValuesTest;
 
     /**
-     * \brief Advances pacing gain using cycle gain algorithm, while in BBR_PROBE_BW state
+     * @brief Advances pacing gain using cycle gain algorithm, while in BBR_PROBE_BW state
      */
     void AdvanceCyclePhase();
 
     /**
-     * \brief Checks whether to advance pacing gain in BBR_PROBE_BW state,
+     * @brief Checks whether to advance pacing gain in BBR_PROBE_BW state,
      *  and if allowed calls AdvanceCyclePhase ()
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void CheckCyclePhase(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Checks whether its time to enter BBR_DRAIN or BBR_PROBE_BW state
-     * \param tcb the socket state.
+     * @brief Checks whether its time to enter BBR_DRAIN or BBR_PROBE_BW state
+     * @param tcb the socket state.
      */
     void CheckDrain(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Identifies whether pipe or BDP is already full
-     * \param rs rate sample.
+     * @brief Identifies whether pipe or BDP is already full
+     * @param rs rate sample.
      */
     void CheckFullPipe(const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief This method handles the steps related to the ProbeRTT state
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief This method handles the steps related to the ProbeRTT state
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void CheckProbeRTT(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Updates variables specific to BBR_DRAIN state
+     * @brief Updates variables specific to BBR_DRAIN state
      */
     void EnterDrain();
 
     /**
-     * \brief Updates variables specific to BBR_PROBE_BW state
+     * @brief Updates variables specific to BBR_PROBE_BW state
      */
     void EnterProbeBW();
 
     /**
-     * \brief Updates variables specific to BBR_PROBE_RTT state
+     * @brief Updates variables specific to BBR_PROBE_RTT state
      */
     void EnterProbeRTT();
 
     /**
-     * \brief Updates variables specific to BBR_STARTUP state
+     * @brief Updates variables specific to BBR_STARTUP state
      */
     void EnterStartup();
 
     /**
-     * \brief Called on exiting from BBR_PROBE_RTT state, it eithers invoke EnterProbeBW () or
+     * @brief Called on exiting from BBR_PROBE_RTT state, it eithers invoke EnterProbeBW () or
      * EnterStartup ()
      */
     void ExitProbeRTT();
 
     /**
-     * \brief Gets BBR state.
-     * \return returns BBR state.
+     * @brief Gets BBR state.
+     * @return returns BBR state.
      */
     uint32_t GetBbrState();
 
     /**
-     * \brief Gets current pacing gain.
-     * \return returns current pacing gain.
+     * @brief Gets current pacing gain.
+     * @return returns current pacing gain.
      */
     double GetPacingGain();
 
     /**
-     * \brief Gets current cwnd gain.
-     * \return returns current cwnd gain.
+     * @brief Gets current cwnd gain.
+     * @return returns current cwnd gain.
      */
     double GetCwndGain();
 
     /**
-     * \brief Handles the steps for BBR_PROBE_RTT state.
-     * \param tcb the socket state.
+     * @brief Handles the steps for BBR_PROBE_RTT state.
+     * @param tcb the socket state.
      */
     void HandleProbeRTT(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Updates pacing rate if socket is restarting from idle state.
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief Updates pacing rate if socket is restarting from idle state.
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void HandleRestartFromIdle(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Estimates the target value for congestion window
-     * \param tcb  the socket state.
-     * \param gain cwnd gain.
-     * \return returns congestion window based on max bandwidth and min RTT.
+     * @brief Estimates the target value for congestion window
+     * @param tcb  the socket state.
+     * @param gain cwnd gain.
+     * @return returns congestion window based on max bandwidth and min RTT.
      */
     uint32_t InFlight(Ptr<TcpSocketState> tcb, double gain);
 
     /**
-     * \brief Initializes the full pipe estimator.
+     * @brief Initializes the full pipe estimator.
      */
     void InitFullPipe();
 
     /**
-     * \brief Initializes the pacing rate.
-     * \param tcb  the socket state.
+     * @brief Initializes the pacing rate.
+     * @param tcb  the socket state.
      */
     void InitPacingRate(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Initializes the round counting related variables.
+     * @brief Initializes the round counting related variables.
      */
     void InitRoundCounting();
 
     /**
-     * \brief Checks whether to move to next value of pacing gain while in BBR_PROBE_BW.
-     * \param tcb the socket state.
-     * \param rs  rate sample.
-     * \returns true if want to move to next value otherwise false.
+     * @brief Checks whether to move to next value of pacing gain while in BBR_PROBE_BW.
+     * @param tcb the socket state.
+     * @param rs  rate sample.
+     * @returns true if want to move to next value otherwise false.
      */
     bool IsNextCyclePhase(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Modulates congestion window in BBR_PROBE_RTT.
-     * \param tcb the socket state.
+     * @brief Modulates congestion window in BBR_PROBE_RTT.
+     * @param tcb the socket state.
      */
     void ModulateCwndForProbeRTT(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Modulates congestion window in CA_RECOVERY.
-     * \param tcb the socket state.
-     * \param rs rate sample.
-     * \return true if congestion window is updated in CA_RECOVERY.
+     * @brief Modulates congestion window in CA_RECOVERY.
+     * @param tcb the socket state.
+     * @param rs rate sample.
+     * @return true if congestion window is updated in CA_RECOVERY.
      */
     bool ModulateCwndForRecovery(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Helper to restore the last-known good congestion window
-     * \param tcb the socket state.
+     * @brief Helper to restore the last-known good congestion window
+     * @param tcb the socket state.
      */
     void RestoreCwnd(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Helper to remember the last-known good congestion window or
+     * @brief Helper to remember the last-known good congestion window or
      *        the latest congestion window unmodulated by loss recovery or ProbeRTT.
-     * \param tcb the socket state.
+     * @param tcb the socket state.
      */
     void SaveCwnd(Ptr<const TcpSocketState> tcb);
 
     /**
-     * \brief Updates congestion window based on the network model.
-     * \param tcb the socket state.
-     * \param rs  rate sample
+     * @brief Updates congestion window based on the network model.
+     * @param tcb the socket state.
+     * @param rs  rate sample
      */
     void SetCwnd(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Updates pacing rate based on network model.
-     * \param tcb the socket state.
-     * \param gain pacing gain.
+     * @brief Updates pacing rate based on network model.
+     * @param tcb the socket state.
+     * @param gain pacing gain.
      */
     void SetPacingRate(Ptr<TcpSocketState> tcb, double gain);
 
     /**
-     * \brief Updates send quantum based on the network model.
-     * \param tcb the socket state.
+     * @brief Updates send quantum based on the network model.
+     * @param tcb the socket state.
      */
     void SetSendQuantum(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Updates maximum bottleneck.
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief Updates maximum bottleneck.
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void UpdateBottleneckBandwidth(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Updates control parameters congestion windowm, pacing rate, send quantum.
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief Updates control parameters congestion windowm, pacing rate, send quantum.
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void UpdateControlParameters(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Updates BBR network model (Maximum bandwidth and minimum RTT).
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief Updates BBR network model (Maximum bandwidth and minimum RTT).
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void UpdateModelAndState(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Updates round counting related variables.
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief Updates round counting related variables.
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void UpdateRound(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
     /**
-     * \brief Updates minimum RTT.
-     * \param tcb the socket state.
+     * @brief Updates minimum RTT.
+     * @param tcb the socket state.
      */
     void UpdateRTprop(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Updates target congestion window.
-     * \param tcb the socket state.
+     * @brief Updates target congestion window.
+     * @param tcb the socket state.
      */
     void UpdateTargetCwnd(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Sets BBR state.
-     * \param state BBR state.
+     * @brief Sets BBR state.
+     * @param state BBR state.
      */
     void SetBbrState(BbrMode_t state);
 
     /**
-     * \brief Find Cwnd increment based on ack aggregation.
-     * \return uint32_t aggregate cwnd.
+     * @brief Find Cwnd increment based on ack aggregation.
+     * @return uint32_t aggregate cwnd.
      */
     uint32_t AckAggregationCwnd();
 
     /**
-     * \brief Estimates max degree of aggregation.
-     * \param tcb the socket state.
-     * \param rs rate sample.
+     * @brief Estimates max degree of aggregation.
+     * @param tcb the socket state.
+     * @param rs rate sample.
      */
     void UpdateAckAggregation(Ptr<TcpSocketState> tcb, const TcpRateOps::TcpRateSample& rs);
 
@@ -352,13 +352,13 @@
     uint32_t m_nextRoundDelivered{0};           //!< Denotes the end of a packet-timed round trip
     Time m_probeRttDuration{MilliSeconds(200)}; //!< A constant specifying the minimum duration for
                                                 //!< which ProbeRTT state, default 200 millisecs
-    Time m_probeRtPropStamp{
-        Seconds(0)}; //!< The wall clock time at which the current BBR.RTProp sample was obtained.
-    Time m_probeRttDoneStamp{Seconds(0)}; //!< Time to exit from BBR_PROBE_RTT state
-    bool m_probeRttRoundDone{false};      //!< True when it is time to exit BBR_PROBE_RTT
-    bool m_packetConservation{false};     //!< Enable/Disable packet conservation mode
-    uint32_t m_priorCwnd{0};              //!< The last-known good congestion window
-    bool m_idleRestart{false};            //!< When restarting from idle, set it true
+    Time m_probeRtPropStamp;  //!< The wall clock time at which the current BBR.RTProp sample was
+                              //!< obtained.
+    Time m_probeRttDoneStamp; //!< Time to exit from BBR_PROBE_RTT state
+    bool m_probeRttRoundDone{false};  //!< True when it is time to exit BBR_PROBE_RTT
+    bool m_packetConservation{false}; //!< Enable/Disable packet conservation mode
+    uint32_t m_priorCwnd{0};          //!< The last-known good congestion window
+    bool m_idleRestart{false};        //!< When restarting from idle, set it true
     uint32_t m_targetCWnd{0}; //!< Target value for congestion window, adapted to the estimated BDP
     DataRate m_fullBandwidth{0};      //!< Value of full bandwidth recorded
     uint32_t m_fullBandwidthCount{0}; //!< Count of full bandwidth recorded consistently
@@ -366,14 +366,13 @@
         Time::Max()}; //!< Estimated two-way round-trip propagation delay of the path, estimated
                       //!< from the windowed minimum recent round-trip delay sample.
     uint32_t m_sendQuantum{
-        0}; //!< The maximum size of a data aggregate scheduled and transmitted together
-    Time m_cycleStamp{Seconds(0)};       //!< Last time gain cycle updated
+        0};            //!< The maximum size of a data aggregate scheduled and transmitted together
+    Time m_cycleStamp; //!< Last time gain cycle updated
     uint32_t m_cycleIndex{0};            //!< Current index of gain cycle
     bool m_minRttExpired{false};         //!< A boolean recording whether the BBR.RTprop has expired
     Time m_minRttFilterLen{Seconds(10)}; //!< A constant specifying the length of the RTProp min
                                          //!< filter window, default 10 secs.
-    Time m_minRttStamp{
-        Seconds(0)}; //!< The wall clock time at which the current BBR.RTProp sample was obtained
+    Time m_minRttStamp; //!< The wall clock time at which the current BBR.RTProp sample was obtained
     bool m_isInitialized{false}; //!< Set to true after first time initialization variables
     Ptr<UniformRandomVariable> m_uv{nullptr}; //!< Uniform Random Variable
     uint64_t m_delivered{0}; //!< The total amount of data in bytes delivered so far
@@ -385,10 +384,10 @@
     uint32_t m_extraAckedWinRttLength{5}; //!< Window length of extra acked window
     uint32_t m_ackEpochAckedResetThresh{
         1 << 17}; //!< Max allowed val for m_ackEpochAcked, after which sampling epoch is reset
-    uint32_t m_extraAckedIdx{0};     //!< Current index in extra acked array
-    Time m_ackEpochTime{Seconds(0)}; //!< Starting of ACK sampling epoch time
-    uint32_t m_ackEpochAcked{0};     //!< Bytes ACked in sampling epoch
-    bool m_hasSeenRtt{false};        //!< Have we seen RTT sample yet?
+    uint32_t m_extraAckedIdx{0}; //!< Current index in extra acked array
+    Time m_ackEpochTime;         //!< Starting of ACK sampling epoch time
+    uint32_t m_ackEpochAcked{0}; //!< Bytes ACked in sampling epoch
+    bool m_hasSeenRtt{false};    //!< Have we seen RTT sample yet?
     double m_pacingMargin{0.01}; //!< BBR intentionally reduces the pacing rate by 1% to drain any
                                  //!< standing queues. See `bbr_rate_bytes_per_sec` in Linux.
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-bic.h ns-3.44/src/internet/model/tcp-bic.h
--- ns-3.43/src/internet/model/tcp-bic.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-bic.h	2025-03-09 16:55:49.407371300 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief BIC congestion control algorithm
+ * @brief BIC congestion control algorithm
  *
  * In TCP Bic the congestion control problem is viewed as a search
  * problem. Taking as a starting point the current window value
@@ -71,19 +71,19 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TcpBic();
 
     /**
      * Copy constructor.
-     * \param sock The socket to copy from.
+     * @param sock The socket to copy from.
      */
     TcpBic(const TcpBic& sock);
 
@@ -95,21 +95,21 @@
 
   protected:
     /**
-     * \brief Bic window update after a new ack received
-     * \param tcb the socket state.
-     * \returns The number of segments acked since the last cwnd increment.
+     * @brief Bic window update after a new ack received
+     * @param tcb the socket state.
+     * @returns The number of segments acked since the last cwnd increment.
      */
     virtual uint32_t Update(Ptr<TcpSocketState> tcb);
 
   private:
     /**
-     * \brief TcpBicIncrementTest friend class (for tests).
-     * \relates TcpBicIncrementTest
+     * @brief TcpBicIncrementTest friend class (for tests).
+     * @relates TcpBicIncrementTest
      */
     friend class ::TcpBicIncrementTest;
     /**
-     * \brief TcpBicDecrementTest friend class (for tests).
-     * \relates TcpBicDecrementTest
+     * @brief TcpBicDecrementTest friend class (for tests).
+     * @relates TcpBicDecrementTest
      */
     friend class ::TcpBicDecrementTest;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-congestion-ops.cc ns-3.44/src/internet/model/tcp-congestion-ops.cc
--- ns-3.43/src/internet/model/tcp-congestion-ops.cc	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-congestion-ops.cc	2025-03-09 16:55:49.407371300 -0700
@@ -107,7 +107,7 @@
 }
 
 /**
- * \brief Tcp NewReno slow start algorithm
+ * @brief Tcp NewReno slow start algorithm
  *
  * Defined in RFC 5681 as
  *
@@ -144,9 +144,9 @@
  * than a segment size, but we keep count of how many segments we have ignored,
  * and return them.
  *
- * \param tcb internal congestion state
- * \param segmentsAcked count of segments acked
- * \return the number of segments not considered for increasing the cWnd
+ * @param tcb internal congestion state
+ * @param segmentsAcked count of segments acked
+ * @return the number of segments not considered for increasing the cWnd
  */
 uint32_t
 TcpNewReno::SlowStart(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked)
@@ -165,13 +165,13 @@
 }
 
 /**
- * \brief NewReno congestion avoidance
+ * @brief NewReno congestion avoidance
  *
  * During congestion avoidance, cwnd is incremented by roughly 1 full-sized
  * segment per round-trip time (RTT).
  *
- * \param tcb internal congestion state
- * \param segmentsAcked count of segments acked
+ * @param tcb internal congestion state
+ * @param segmentsAcked count of segments acked
  */
 void
 TcpNewReno::CongestionAvoidance(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked)
@@ -190,13 +190,13 @@
 }
 
 /**
- * \brief Try to increase the cWnd following the NewReno specification
+ * @brief Try to increase the cWnd following the NewReno specification
  *
- * \see SlowStart
- * \see CongestionAvoidance
+ * @see SlowStart
+ * @see CongestionAvoidance
  *
- * \param tcb internal congestion state
- * \param segmentsAcked count of segments acked
+ * @param tcb internal congestion state
+ * @param segmentsAcked count of segments acked
  */
 void
 TcpNewReno::IncreaseWindow(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-congestion-ops.h ns-3.44/src/internet/model/tcp-congestion-ops.h
--- ns-3.43/src/internet/model/tcp-congestion-ops.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/tcp-congestion-ops.h	2025-03-09 16:55:49.407371300 -0700
@@ -14,16 +14,16 @@
 {
 
 /**
- * \ingroup tcp
- * \defgroup congestionOps Congestion Control Algorithms.
+ * @ingroup tcp
+ * @defgroup congestionOps Congestion Control Algorithms.
  *
  * The various congestion control algorithms, also known as "TCP flavors".
  */
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief Congestion control abstract class
+ * @brief Congestion control abstract class
  *
  * The design is inspired by what Linux v4.0 does (but it has been
  * in place for years). The congestion control is split from the main
@@ -34,46 +34,46 @@
  * Only three methods have been implemented right now; however, Linux has many others,
  * which can be added later in ns-3.
  *
- * \see IncreaseWindow
- * \see PktsAcked
+ * @see IncreaseWindow
+ * @see PktsAcked
  */
 class TcpCongestionOps : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     TcpCongestionOps();
 
     /**
-     * \brief Copy constructor.
-     * \param other object to copy.
+     * @brief Copy constructor.
+     * @param other object to copy.
      */
     TcpCongestionOps(const TcpCongestionOps& other);
 
     ~TcpCongestionOps() override;
 
     /**
-     * \brief Get the name of the congestion control algorithm
+     * @brief Get the name of the congestion control algorithm
      *
-     * \return A string identifying the name
+     * @return A string identifying the name
      */
     virtual std::string GetName() const = 0;
 
     /**
-     * \brief Set configuration required by congestion control algorithm
+     * @brief Set configuration required by congestion control algorithm
      *
-     * \param tcb internal congestion state
+     * @param tcb internal congestion state
      */
     virtual void Init(Ptr<TcpSocketState> tcb [[maybe_unused]])
     {
     }
 
     /**
-     * \brief Get the slow start threshold after a loss event
+     * @brief Get the slow start threshold after a loss event
      *
      * Is guaranteed that the congestion control state (\p TcpAckState_t) is
      * changed BEFORE the invocation of this method.
@@ -82,73 +82,73 @@
      * instantly recover from a loss event (e.g. when there is a network with an high
      * reordering factor).
      *
-     * \param tcb internal congestion state
-     * \param bytesInFlight total bytes in flight
-     * \return Slow start threshold
+     * @param tcb internal congestion state
+     * @param bytesInFlight total bytes in flight
+     * @return Slow start threshold
      */
     virtual uint32_t GetSsThresh(Ptr<const TcpSocketState> tcb, uint32_t bytesInFlight) = 0;
 
     /**
-     * \brief Congestion avoidance algorithm implementation
+     * @brief Congestion avoidance algorithm implementation
      *
      * Mimic the function \pname{cong_avoid} in Linux. New segments have been ACKed,
      * and the congestion control duty is to update the window.
      *
      * The function is allowed to change directly cWnd and/or ssThresh.
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments acked
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments acked
      */
     virtual void IncreaseWindow(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked);
 
     /**
-     * \brief Timing information on received ACK
+     * @brief Timing information on received ACK
      *
      * The function is called every time an ACK is received (only one time
      * also for cumulative ACKs) and contains timing information. It is
      * optional (congestion controls need not implement it) and the default
      * implementation does nothing.
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments acked
-     * \param rtt last rtt
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments acked
+     * @param rtt last rtt
      */
     virtual void PktsAcked(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked, const Time& rtt);
 
     /**
-     * \brief Trigger events/calculations specific to a congestion state
+     * @brief Trigger events/calculations specific to a congestion state
      *
      * This function mimics the notification function \pname{set_state} in Linux.
      * The function does not change the congestion state in the tcb; it notifies
      * the congestion control algorithm that this state is about to be changed.
      * The tcb->m_congState variable must be separately set; for example:
      *
-     * \code
+     * @code
      *   m_congestionControl->CongestionStateSet (m_tcb, TcpSocketState::CA_RECOVERY);
      *   m_tcb->m_congState = TcpSocketState::CA_RECOVERY;
-     * \endcode
+     * @endcode
      *
-     * \param tcb internal congestion state
-     * \param newState new congestion state to which the TCP is going to switch
+     * @param tcb internal congestion state
+     * @param newState new congestion state to which the TCP is going to switch
      */
     virtual void CongestionStateSet(Ptr<TcpSocketState> tcb,
                                     const TcpSocketState::TcpCongState_t newState);
 
     /**
-     * \brief Trigger events/calculations on occurrence of congestion window event
+     * @brief Trigger events/calculations on occurrence of congestion window event
      *
      * This function mimics the function \pname{cwnd_event} in Linux.
      * The function is called in case of congestion window events.
      *
-     * \param tcb internal congestion state
-     * \param event the event which triggered this function
+     * @param tcb internal congestion state
+     * @param event the event which triggered this function
      */
     virtual void CwndEvent(Ptr<TcpSocketState> tcb, const TcpSocketState::TcpCAEvent_t event);
 
     /**
-     * \brief Returns true when Congestion Control Algorithm implements CongControl
+     * @brief Returns true when Congestion Control Algorithm implements CongControl
      *
-     * \return true if CC implements CongControl function
+     * @return true if CC implements CongControl function
      *
      * This function is the equivalent in C++ of the C checks that are used
      * in the Linux kernel to see if an optional function has been defined.
@@ -160,14 +160,14 @@
     virtual bool HasCongControl() const;
 
     /**
-     * \brief Called when packets are delivered to update cwnd and pacing rate
+     * @brief Called when packets are delivered to update cwnd and pacing rate
      *
      * This function mimics the function cong_control in Linux. It is allowed to
      * change directly cWnd and pacing rate.
      *
-     * \param tcb internal congestion state
-     * \param rc Rate information for the connection
-     * \param rs Rate sample (over a period of time) information
+     * @param tcb internal congestion state
+     * @param rc Rate information for the connection
+     * @param rs Rate sample (over a period of time) information
      */
     virtual void CongControl(Ptr<TcpSocketState> tcb,
                              const TcpRateOps::TcpRateConnection& rc,
@@ -182,35 +182,35 @@
     //     void (*pkts_acked)(struct sock *sk, u32 ext, int *attr, union tcp_cc_info *info);
 
     /**
-     * \brief Copy the congestion control algorithm across sockets
+     * @brief Copy the congestion control algorithm across sockets
      *
-     * \return a pointer of the copied object
+     * @return a pointer of the copied object
      */
     virtual Ptr<TcpCongestionOps> Fork() = 0;
 };
 
 /**
- * \brief The NewReno implementation
+ * @brief The NewReno implementation
  *
  * New Reno introduces partial ACKs inside the well-established Reno algorithm.
  * This and other modifications are described in RFC 6582.
  *
- * \see IncreaseWindow
+ * @see IncreaseWindow
  */
 class TcpNewReno : public TcpCongestionOps
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     TcpNewReno();
 
     /**
-     * \brief Copy constructor.
-     * \param sock object to copy.
+     * @brief Copy constructor.
+     * @param sock object to copy.
      */
     TcpNewReno(const TcpNewReno& sock);
 
